template-haskell-2.20.0.0: Support library for Template Haskell

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.Haskell.TH.CodeDo

Description

This module exists to work nicely with the QualifiedDo extension.

    import qualified Language.Haskell.TH.CodeDo as Code

    myExample :: Monad m => Code m a -> Code m a -> Code m a
    myExample opt1 opt2 =
      Code.do
       x <- someSideEffect               -- This one is of type `M Bool`
       if x then opt1 else opt2

Synopsis

- (>>=) :: Monad m => m a -> (a -> Code m b) -> Code m b
- (>>) :: Monad m => m a -> Code m b -> Code m b

# Documentation

(>>=) :: Monad m => m a -> (a -> Code m b) -> Code m b Source #

Module over monad operator for `Code`

(>>) :: Monad m => m a -> Code m b -> Code m b Source #